#include "mp3_config.h"
#ifdef USE_FASTMEMCPY

/*
  aclib - advanced C library ;)
  This file contains functions which improve and expand standard C-library
  see aclib_template.c ... this file only contains runtime cpu detection and config options stuff
  runtime cpu detection by michael niedermayer (michaelni@gmx.at) is under GPL
*/
#include <stddef.h>
//#include "cpudetect.h"
//#include <x86cpucaps.h>
#include "mpg123engine.h"
#include "aclib.h"

#undef memcpy

void * fast_memcpy_nosimd(void * to, const void * from, size_t len)
{
   memcpy(to, from, len);
   return to;
}

void * mem2agpcpy_nosimd(void * to, const void * from, size_t len)
{
   memcpy(to, from, len); // prior to mmx we use the standart memcpy
}

#endif /* use fastmemcpy */

