/* #define DEBUG             1 */
#undef DEBUG
#define DEBUG1            1 
/* #undef DEBUG1 */

#define ARCH_X86          1
#define TARGET_ARCH_X86   1
#define TARGET_SSE        1
#define RUNTIME_CPUDETECT 1
#define USE_FAKE_MONO     1
#define USE_FASTMEMCPY    1

#ifdef RUNTIME_CPUDETECT  // if defined RUNTIME_CPUDETECT, all SIMD enabled
# define HAVE_3DNOW       1 
# define HAVE_3DNOWEX     1
# define HAVE_MMX         1
# define HAVE_MMX2        1
# define HAVE_SSE         1
# define HAVE_SSE2        1

#else /* if not defined RUNTIME_CPUDETECT, you must select each of SIMD capability */

/* only define if you have MMX (newer x86 chips, not P54C/PPro) */
#define HAVE_MMX          1

/* only define if you have 3DNOW (AMD k6-2, AMD Athlon, iDT WinChip, etc.) */
#define HAVE_3DNOW        1
/* only define if you have 3DNOWEX (AMD Athlon, etc.) */
#define HAVE_3DNOWEX      1

/* only define if you have SSE (Intel Pentium III/4 or Celeron II) */
#define HAVE_SSE          1	

/* only define if you have SSE2 (Intel Pentium 4) */
#define HAVE_SSE2         1

#ifdef HAVE_SSE
# define HAVE_MMX2        1 /* SSE support CPU, support MMX2 too */
#endif

#endif /* RUNTIME_CPUTDETECT */



#ifdef HAVE_MMX
#define USE_MMX_IDCT 1
#endif

#ifdef DEBUG
#define DBGMSG0 printf
#else
#define DBGMSG0
#endif

#ifdef DEBUG1
#define DBGMSG1 printf
#else
#define DBGMSG1
#endif

