#include <sys/time.h>
static inline long GetTimer()
{
   struct timeval tv;
   struct timezone tz;
   gettimeofday(&tv,&tz);
   return (long)(tv.tv_sec*1000000+tv.tv_usec);
};

struct AudioInfo_s {
   char *fname;
//   int len;
   long total;
   float length;

//   int lock;
   long start_time;

   int fd;
//#ifdef USE_ESD
//   int esd;
//#endif
};

struct parameter {
//    int aggressive; /* renice to max. priority */
    int shuffle;	/* shuffle/random play */
    int remote;	/* remote operation */
    int outmode;	/* where to out the decoded sampels */
    int quiet;	/* shut up! */
//    int xterm_title;  /* print filename in xterm title */
//    long usebuffer;	/* second level buffer size */
//    int tryresync;  /* resync stream after error */
    int verbose;    /* verbose level */
//#ifdef TERM_CONTROL
//    int term_ctrl;
//#endif
    int force_mono;
    int force_stereo;
    int force_8bit;
    long force_rate;
//    double pitch;
    int down_sample;
//    int checkrange;
//    long doublespeed;
//    long halfspeed;
//    int force_reopen;
    int simd_select; /* automatic or user define 3DNow!/MMX/FPU code */
    int test_simd;
    int auto_simd;   /* result of auto detect CPU has 3DNow!/MMX */
    int simd_synth;
//    int realtime;
    char filename[256];
//    char *esdserver;
//    char *equalfile;
//    int  enable_equalizer;
//    long outscale;
//    long startFrame;
    int print_version;
    int audio_out;
    int volume;
};

extern struct parameter param;


