#!/bin/bash

if [ x$VERSION = x ]; then
  echo "need VERSION strings"
  exit 1;
fi

SPEC=mp3lib.spec
CONF=config.mak

if cat $SPEC | grep "Version: "$VERSION > /dev/null; then
   echo "spec is up to date"
else
   echo "update spec"
   perl -pi -e "s/^Version: .*/Version: "$VERSION"/" $SPEC
fi

perl -pi -e "s/^USE_JCONV =.*/USE_JCONV = no/" $CONF
exit 0;

