#define CPU_IS_LITTLE_ENDIAN 1

#if		CPU_IS_BIG_ENDIAN
#define	HOST_SIGNED_SHORT	FMT_S16_BE
#endif
#if		CPU_IS_LITTLE_ENDIAN
#define	HOST_SIGNED_SHORT	FMT_S16_LE
#endif

InputPlugin *get_iplugin_info(void);

typedef struct 
{
   gint going, num_frames, eof, jump_to_time, eq_active;
   gint songtime;
   gdouble tpf;
   gfloat eq_mul[576];
   gboolean output_audio;
   gboolean first_frame;
   guint32 filesize;
}
PlayerInfo;
extern PlayerInfo mpg123alt_info;
